package cn.gygxzc.envir.email;

import cn.gygxzc.envir.core.entity.MailEntity;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 用Feign进行服务间调用方式发送邮件
 *
 * @author tuonina
 * @createTime 2019/3/4
 */
@FeignClient("msg")
public interface IFeignMailSender {

    @PostMapping(value = "/mail")
    void sendMail(@RequestBody MailEntity mail);
}
